Subject: Re: [PATCH 2/2] gnu: neovim: Search and use installed plugins, like vim.

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 05 Aug 2023 14:34:34 +0200

Am Mittwoch, dem 22.02.2023 um 17:07 -0300 schrieb SeerLite:
> * gnu/packages/vim.scm (neovim)[phases]: Add 'install-guix.vim phase
> and remove trailing #t's.
Again, should be [#:phases].
When you need to join sentences with "and" it's typically a sign that
these are unrelated changes.  At the very least, you should write out
those sentences.  I'm also a proponent of doing stylistic changes in a
separate patch, but since you're already waiting for this a long time,
I'm willing to take this series without that.
> [native-search-paths]: Add search path specification for
> 'GUIX_VIMRUNTIME'.
Can we inherit this from vim via (package-native-search-paths vim)?

Sadly, this patch currently doesn't apply on master; or at least what I
have for master, which lacks any changes in vim.scm, though.  Could you
send one with these points adjusted and --reroll-count=8?

Cheers